import request from '@/utils/request'

export function listBusinessConfigList() {
  return request({
    url: '/cai/systemConfig/business/all',
    method: 'get'
  })
}


export function listBusinessConfigV2List(businessType) {
  return request({
    url: '/cai/systemConfig/business/v2/all',
    method: 'get',
    params: {
      businessType: businessType
    }
  })
}

export function updateBusinessConfig(data) {
  return request({
    url: '/cai/systemConfig/business/update',
    method: 'get',
    params: data
  })
}

export function listSystemConfigList() {
  return request({
    url: '/cai/systemConfig/system/all',
    method: 'get'
  })
}

export function updateSystemConfig(data) {
  return request({
    url: '/cai/systemConfig/system/update',
    method: 'get',
    params: data
  })
}
